Architecting, installing and maintaining your SAS environment

SAS 9.4 on HP-UX

Reply
Contributor
Posts: 69

SAS 9.4 on HP-UX

Hi all,


I'm trying to install SAS 9.4 on HP-UX. On the same machine SAS 9.2 is intalled (this version remain on it). As per SAS 9.4 System Requiriment's documents, we need HP-UX 11i version 3 (11.31) operating system, update 9 and later, and Atomic APIs product B.11.31.0803.01.

 

On server we have B.11.31.1009.353a. After we installed the required Atomic APIs version, and error appear on SAS installation saying the requirement is B.11.31.1109.367a.

 

There are any other requirements that we need to verify? Or if we install the hotfix B.11.31.1109.367a, we'll capable to complete successfully the installation?

 

Regards,

Trusted Advisor
Posts: 1,312

Re: SAS 9.4 on HP-UX

Hello @MariaD,

 

it will depend on the SAS solution you are installing.

 

For SAS Foundation (on every SAS Solution) : http://support.sas.com/documentation/installcenter/en/ikfdtnh6isr/66391/PDF/default/sreq.pdf

For other SAS solutions you can search here: http://support.sas.com/idsearch?ct=203012&qt=contenttype:%22System+Requirements%22++spr:%229.4qq_%22... or in google if you type SAS System Requirements 9.4 "your_SAS_solution" on the google search text box. On every document, you will find the specifics for HP-UX.

 

Hope it helps.

 

Best regards,

 

Juan

Contributor
Posts: 69

Re: SAS 9.4 on HP-UX

Posted in reply to JuanS_OCS

Thanks Juan. Yes, I verified that document before, but I said on my original post, only mention "HP-UX 11i version 3 (11.31) operating system, update 9" and "Atomic APIs". It does not have any details about necessary HP-UX hotfixs.

 

There is any other documentation with these details?

 

Regards,

Trusted Advisor
Posts: 1,312

Re: SAS 9.4 on HP-UX

[ Edited ]

Pleasure, @MariaD.

 

Did you have the chance to read the first document I have sent you, which probably is the same you have already read?

 

 

SAS 9.4 Foundation is supported on the HP-UX 11i version 3 (11.31) operating system, update 9 and
later.
Your operating system should have the PHKL_41967 - 11.31 fs select cumulative patch or later.
In addition, if you are using HP-UX 11.31, the Atomic APIs product B.11.31.0803.01 is required. This
software package is available from the HP website at https://h20392.www2.hp.com/portal
/swdepot/displayProductInfo.do?productNumber=Atomic
Note: The patch level listed was correct at the time this document was published. However, patches that are
required for HP-UX for the Itanium Processor Family Architecture are subject to unexpected change.
To verify that you have the latest patch requirements, go to the Install Center website
( http://support.sas.com/installcenter ) to find the most recent updates to this System
Requirements document

 Additionally to this, you will need to search for the requirements for every SAS component/Solution you will install.

 

We can help you to search for them if it is what you need. But then we will need to know the SAS Solution and SAs products you have on the license.

Contributor
Posts: 69

Re: SAS 9.4 on HP-UX

Posted in reply to JuanS_OCS

Thanks Juan. So, you know if B.11.31.1109.367a includes PHKL_41967? Or is necessary to install PHKL_41967 too?

 

The products will be install are:

- Base, Stat, Ets, Connect, Miner, IT (to use SAS EG), PCFF, Access to Oracle and Access to SQL. 

 

Thanks

Contributor
Posts: 69

Re: SAS 9.4 on HP-UX

Posted in reply to JuanS_OCS

Hi @JuanS_OCS,

 

After we installed the patch, a new error appears. Now, SAS says that version B.11.31.1109.367a is installed but can't continue because needs version B.11.31.1109.367a (see error attached). Exactly the same!

 

Do you know what is going on?

 

HP-UX installed

# swlist | grep -i QPKBASE

  QPKBASE                       B.11.31.1109.367a Base Quality Pack Bundle for HP-UX 11i v3, September 2011

# swlist | grep -i FEATURE11i

  FEATURE11i                    B.11.31.1109.367a Feature Enablement Patches for HP-UX 11i v3, September 2011

# swlist | grep -i HWEnable11i

  HWEnable11i                   B.11.31.1109.367a Hardware Enablement Patches for HP-UX 11i v3, September 2011

 

Streams enabled

$ /usr/sbin/swlist -l  product | grep Streams
  PHNE_41874            1.0            Streams Pty cumulative patch
  Streams               B.11.31        HP-UX Streams Product
  Streams-TIO           B.11.31        HP-UX_Streams-TIO_Product

 

$ /usr/sbin/kctune -v streampipes
Tunable streampipes
Description Forces all pipes to be Streams-based pipes (Boolean)
Module hpstreams
Current Value 1
Value at Next Boot 1
Value at Last Boot 1
Default Value 0
Can Change At Next Boot Only


Error Instalacion.pngPHKL.png
SAS Employee
Posts: 282

Re: SAS 9.4 on HP-UX

@MariaD,

 

Please send an output from the following command:

 

swlist -v | grep -i atomic
Contributor
Posts: 69

Re: SAS 9.4 on HP-UX

Hi @alexal,

 

Following the output for swlist -v | grep -i atomic

 

$ /usr/sbin/swlist -v | grep -i atomic
AtomicLib
tag AtomicLib
software_spec AtomicLib,r=B.11.31.0803.01,a=HP-UX_B.11.31_IA/PA,v=HP
control_directory AtomicLib
title Library for Atomic APIs.
Bundle Name AtomicLib
The HP-UX AtomicLib bundle includes AtomicAPIs product. This feature
performs atomic operations as mentioned in atomic(3C) man page.
install_source uxpsas01:/sas9/atomic/AtomicLib_B.11.31.0803.01_HP-UX_B.11.31_IA_PA.depot
contents AtomicAPIs,r=B.11.31.0803.01,a=HP-UX_B.11.31_IA/PA,v=HP
optional_contents36 AtomicLib,r=B.11.31.0803.01,a=HP-UX_B.11.31_IA/PA,v=HP

 

Thanks,

SAS Employee
Posts: 282

Re: SAS 9.4 on HP-UX

@MariaD,

 

If you are absolutely sure that you have installed all the packages that required for SAS installation, launch the setup.sh script with the -skiposlevelcheck option.

Contributor
Posts: 69

Re: SAS 9.4 on HP-UX

Hi @alexal,

 

I ran all the tests that I sent you. Do you remember or suggest any other verification that I can execute before install with "-skiposlevelcheck" option?

 

Regards, 

SAS Employee
Posts: 282

Re: SAS 9.4 on HP-UX

@MariaD,

 

You checked everything. If you want to investigate a problem further, I would suggest opening a technical support track. Send to me the number, if you decide to do so.

Ask a Question
Discussion stats
  • 10 replies
  • 410 views
  • 5 likes
  • 3 in conversation